Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.aggregator
Class PolicyPerformanceAnalyzer

    java.lang.Object
      lbg.simulator.tools.aggregator.PolicyPerformanceAnalyzer

    public class PolicyPerformanceAnalyzer

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`PolicyPerformanceAnalyzer(java.lang.String pdp_label, java.lang.String[] ranked_policies, java.lang.Float[] ranked_mbrt)` Constructs a new PolicyPerformanceAnalyzer.
`PolicyPerformanceAnalyzer(java.lang.String pdp_label, java.lang.String[] ranked_policies, java.lang.Float[] ranked_mbrt, float best_row_analysis_ratio)` Constructs a new PolicyPerformanceAnalyzer.

Method Summary
`void` | `analyze()`
`float` | `getBestRowAnalysisRatio()`
`Measurement` | `getPolicyMBRTAnalysisMeasurement(java.lang.String l)` Returns MBRT analysis measurement for target policy.
`Measurement` | `getPolicyRankAnalysisMeasurement(java.lang.String l)` Returns rank analysis measurement for target policy.
`java.util.Iterator<java.lang.String>` | `getSortedPDPLabels()`
`java.lang.String` | `outputAsCSV()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyPerformanceAnalyzer

    public PolicyPerformanceAnalyzer(java.lang.String pdp_label,
                                     java.lang.String[] ranked_policies,
                                     java.lang.Float[] ranked_mbrt)
                              throws GridException

  Constructs a new PolicyPerformanceAnalyzer.

  Throws:
    `GridException`

### PolicyPerformanceAnalyzer

    public PolicyPerformanceAnalyzer(java.lang.String pdp_label,
                                     java.lang.String[] ranked_policies,
                                     java.lang.Float[] ranked_mbrt,
                                     float best_row_analysis_ratio)
                              throws GridException

  Constructs a new PolicyPerformanceAnalyzer.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### outputAsCSV

    public java.lang.String outputAsCSV()

### getSortedPDPLabels

    public java.util.Iterator<java.lang.String> getSortedPDPLabels()

### getBestRowAnalysisRatio

    public float getBestRowAnalysisRatio()

### getPolicyRankAnalysisMeasurement

    public Measurement getPolicyRankAnalysisMeasurement(java.lang.String l)
                                                 throws GridException

  Returns rank analysis measurement for target policy.

  Parameters:
    `l` - target policy
  Returns:
    rank analysis measurement for target policy (can be null)
  Throws:
    `GridException`

### getPolicyMBRTAnalysisMeasurement

    public Measurement getPolicyMBRTAnalysisMeasurement(java.lang.String l)
                                                 throws GridException

  Returns MBRT analysis measurement for target policy.

  Parameters:
    `l` - target policy
  Returns:
    MBRT analysis measurement for target policy (can be null)
  Throws:
    `GridException`

### analyze

    public void analyze()
                 throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.